'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _SnackbarView = require('../presentation/SnackbarView');

var _SnackbarView2 = _interopRequireDefault(_SnackbarView);

var _Actions = require('../../actions/Actions');

var _reactRedux = require('react-redux');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function mapStateToProps(state) {
  if (state.Snackbar) {
    return {
      isOpen: state.Snackbar.open,
      msg: state.Snackbar.msg
    };
  } else {
    return {
      isOpen: false,
      msg: " "
    };
  }
}
function mapDispatchToProps(dispatch) {
  return {
    onSnackbarClose: function onSnackbarClose() {
      dispatch(_Actions.CLOSE_SNACKBAR);
    }
  };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_SnackbarView2.default);