'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformHmr3 = require('react-transform-hmr');

var _reactTransformHmr4 = _interopRequireDefault(_reactTransformHmr3);

var _reactRouter = require('react-router');

var _Paper = require('material-ui/Paper');

var _Paper2 = _interopRequireDefault(_Paper);

var _MenuItem = require('material-ui/MenuItem');

var _MenuItem2 = _interopRequireDefault(_MenuItem);

var _Drawer = require('material-ui/Drawer');

var _Drawer2 = _interopRequireDefault(_Drawer);

var _Divider = require('material-ui/Divider');

var _Divider2 = _interopRequireDefault(_Divider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _components = {
  _component: {}
};

var _reactTransformHmr2 = (0, _reactTransformHmr4.default)({
  filename: 'src/navigation/presentation/muDrawer.js',
  components: _components,
  locals: [module],
  imports: [_react3.default]
});

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: 'src/navigation/presentation/muDrawer.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformHmr2(_reactTransformCatchErrors2(Component, id), id);
  };
}

var SBSDrawer = _wrapComponent('_component')(_react3.default.createClass({
  displayName: 'SBSDrawer',

  propTypes: {
    isOpen: _react3.default.PropTypes.bool.isRequired,
    navTransitions: _react3.default.PropTypes.array.isRequired,
    onTransition: _react3.default.PropTypes.func.isRequired
  },
  render: function render() {

    return _react3.default.createElement(
      _Drawer2.default,
      {
        open: true,
        containerStyle: { 'position': 'fixed', 'top': '56px', transition: 'width 0.15s' },
        width: this.props.isOpen ? 256 : 57 },
      this.props.navTransitions.map(function (transition, index) {
        return _react3.default.createElement(
          'div',
          null,
          _react3.default.createElement(_MenuItem2.default, {
            key: index,
            leftIcon: transition.icon ? transition.icon : false,
            containerElement: _react3.default.createElement(_reactRouter.Link, { to: transition.path }),
            primaryText: this.props.isOpen ? transition.name : false,
            onClick: this.props.onTransition.bind(null, transition.name)
          }),
          _react3.default.createElement(_Divider2.default, null)
        );
      }.bind(this))
    );
  }
}));
exports.default = SBSDrawer;