'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformHmr3 = require('react-transform-hmr');

var _reactTransformHmr4 = _interopRequireDefault(_reactTransformHmr3);

var _Snackbar = require('material-ui/Snackbar');

var _Snackbar2 = _interopRequireDefault(_Snackbar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _components = {
  _component: {}
};

var _reactTransformHmr2 = (0, _reactTransformHmr4.default)({
  filename: 'src/navigation/presentation/SnackbarView.js',
  components: _components,
  locals: [module],
  imports: [_react3.default]
});

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: 'src/navigation/presentation/SnackbarView.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformHmr2(_reactTransformCatchErrors2(Component, id), id);
  };
}

var SnackbarView = _wrapComponent('_component')(_react3.default.createClass({
  displayName: 'SnackbarView',

  propTypes: {
    onSnackbarClose: _react3.default.PropTypes.func,
    isOpen: _react3.default.PropTypes.bool.isRequired,
    msg: _react3.default.PropTypes.string.isRequired
  },
  contextTypes: {
    muiTheme: _react3.default.PropTypes.object
  },
  childContextTypes: {
    muiTheme: _react3.default.PropTypes.object
  },
  getChildContext: function getChildContext() {
    var theme = this.context.muiTheme;
    theme.snackbar.textColor = 'white';
    return {
      muiTheme: theme
    };
  },

  render: function render() {
    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement(_Snackbar2.default, {
        open: this.props.isOpen,
        message: this.props.msg,
        autoHideDuration: 3000,
        bodyStyle: { color: 'white', 'backgroundColor': '#8ABE9A' },
        style: { color: 'white' },
        onRequestClose: this.props.onSnackbarClose
      })
    );
  }
}));

exports.default = SnackbarView;