import SnackbarView from '../presentation/SnackbarView';
import { CLOSE_SNACKBAR } from '../../actions/Actions';
import { connect } from 'react-redux';

function mapStateToProps(state) {
  if(state.Snackbar){
    return {
      isOpen: state.Snackbar.open,
      msg: state.Snackbar.msg,
    };
  } else {
    return {
      isOpen: false,
      msg: " ",
    };
  }
}
function mapDispatchToProps(dispatch) {
  return {
    onSnackbarClose: () => {
      dispatch(CLOSE_SNACKBAR);
    }
  };
}
export default connect(mapStateToProps,mapDispatchToProps)(SnackbarView);
