import React, { Component } from 'react';
import Snackbar from 'material-ui/Snackbar';

var SnackbarView = React.createClass({
  propTypes: {
    onSnackbarClose: React.PropTypes.func,
    isOpen: React.PropTypes.bool.isRequired,
    msg: React.PropTypes.string.isRequired,
  },
  contextTypes: {
    muiTheme: React.PropTypes.object,
  },
  childContextTypes : {
    muiTheme: React.PropTypes.object,
  },
  getChildContext() {
    var theme = this.context.muiTheme;
    theme.snackbar.textColor = 'white';
    return {
      muiTheme: theme,
    };
  },
  render: function() {
    return (
      <div>
        <Snackbar
          open={this.props.isOpen}
          message={this.props.msg}
          autoHideDuration={3000}
          bodyStyle={{color:'white','backgroundColor':'#8ABE9A'}}
          style={{color:'white'}}
          onRequestClose={this.props.onSnackbarClose}
        />
      </div>
    );
  }
});

export default SnackbarView;
